## edu.stanford.nlp.international.arabic
Class ArabicMorphoFeatureSpecification

    java.lang.Object
      edu.stanford.nlp.international.morph.MorphoFeatureSpecification
          edu.stanford.nlp.international.arabic.ArabicMorphoFeatureSpecification

All Implemented Interfaces:
  Serializable

    public class ArabicMorphoFeatureSpecification

extends MorphoFeatureSpecification

Extracts morphosyntactic features from BAMA/SAMA analyses. Compatible with both the long tags in the ATB and the output of MADA.

Author:
  Spence Green
See Also:
  Serialized Form

Nested Class Summary
`static class` `ArabicMorphoFeatureSpecification.ArabicMorphoFeatures` Creates tags that conform to the default "DT" prefix used elsewhere in the codebase

Nested classes/interfaces inherited from class edu.stanford.nlp.international.morph.MorphoFeatureSpecification
`MorphoFeatureSpecification.MorphoFeatureType`

Field Summary
`static String[]` `caseVals`
`static String[]` `defVals`
`static String[]` `genVals`
`static String[]` `moodVals`
`static String[]` `numVals`
`static String[]` `perVals`
`static String[]` `possVals`
`static String[]` `tenseVals`
`static String[]` `voiceVals`

Fields inherited from class edu.stanford.nlp.international.morph.MorphoFeatureSpecification
`activeFeatures`

Constructor Summary
`ArabicMorphoFeatureSpecification()`

Method Summary
`List<String>` `getValues(MorphoFeatureSpecification.MorphoFeatureType feat)`
`static void` `main(String[] args)` For debugging.
`MorphoFeatures` `strToFeatures(String spec)` Parses a SAMA analysis into a MorphoFeatures spec.

Methods inherited from class edu.stanford.nlp.international.morph.MorphoFeatureSpecification
`activate, isActive, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### defVals

    public static final String[] defVals

### caseVals

    public static final String[] caseVals

### genVals

    public static final String[] genVals

### numVals

    public static final String[] numVals

### perVals

    public static final String[] perVals

### possVals

    public static final String[] possVals

### voiceVals

    public static final String[] voiceVals

### moodVals

    public static final String[] moodVals

### tenseVals

    public static final String[] tenseVals

Constructor Detail

### ArabicMorphoFeatureSpecification

    public ArabicMorphoFeatureSpecification()

Method Detail

### getValues

    public List<String> getValues(MorphoFeatureSpecification.MorphoFeatureType feat)

  Specified by:
    `getValues` in class `MorphoFeatureSpecification`

### strToFeatures

    public MorphoFeatures strToFeatures(String spec)

  Parses a SAMA analysis into a MorphoFeatures spec. TODO wsg: Presently, feature extraction only works for gold analyses

  Specified by:
    `strToFeatures` in class `MorphoFeatureSpecification`

### main

    public static void main(String[] args)

  For debugging. Converts a set of long tags (BAMA analyses as in the ATB) to their morpho feature specification. The input file should have one long tag per line.

  Parameters:
    `args` -

Stanford NLP Group